unit FMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Buttons, Spin, SDEDefs;

type
  TfrmMain = class(TForm)
    gbInHMS: TGroupBox;
    gbApp: TGroupBox;
    gbDate: TGroupBox;
    gbTime: TGroupBox;
    efTime: TDateTimePicker;
    efDate: TDateTimePicker;
    btnBrowse: TBitBtn;
    gbEvent: TGroupBox;
    lbEvent: TListView;
    gbRemote: TGroupBox;
    efRemote: TComboBox;
    efParam: TComboBox;
    cmbDays: TComboBox;
    gbTimeSet: TGroupBox;
    lvTime: TListView;
    cmbNoDays: TComboBox;
    btnSet: TBitBtn;
    efHour: TSpinEdit;
    efMinute: TSpinEdit;
    efSecond: TSpinEdit;
    procedure btnSetClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}

procedure TfrmMain.btnSetClick(Sender: TObject);
var
  evStruct: EventStruct;
  lpEvStruct: PEventStruct;
  data: TCopyDataStruct;
  wndHandle: THandle;
  x: Integer;
begin
  InitEventStruct(evStruct);
  evStruct.Event := EV_Turn_Off;
  evStruct.Time_Setting := TS_In;
  evStruct.In_Hours := 8;
  //x := SetEvent(evStruct);
  //ShowMessage(IntToStr(x));
  lpEvStruct := @evStruct;
  lpEvStruct^.Event := EV_Turn_Off;
  wndHandle := FindWindow(PChar('TfrmShutDown'), nil);
  data.dwData := 0;
  data.cbData := sizeOf(evStruct) + 1;
  data.lpData := lpEvStruct;
  x := SendMessage(wndHandle, WM_COPYDATA, Handle, LongInt(@data));
  ShowMessage(IntToStr(x));
end;

end.
